// Generated by dts-bundle-generator v5.9.0

export interface CepResponse {
	cep: string;
	logradouro: string;
	complemento: string;
	bairro: string;
	localidade: string;
	uf: string;
	unidade: string;
	ibge: string;
	gia: string;
}
export interface PrecoPrazoRequest {
	sCepOrigem: string;
	sCepDestino: string;
	nVlPeso: string;
	nCdFormato: string;
	nVlComprimento: string;
	nVlAltura: string;
	nVlLargura: string;
	nCdServico: Array<string>;
	nVlDiametro: string;
}
export interface PrecoPrazoEvent {
	Codigo: string;
	Valor: string;
	PrazoEntrega: string;
	ValorSemAdicionais: string;
	ValorMaoPropria: string;
	ValorAvisoRecebimento: string;
	ValorDeclarado: string;
	EntregaDomiciliar: string;
	EntregaSabado: string;
	obsFim: string;
	Erro: string;
	MsgErro: string;
}
export interface PrecoPrazoResponse {
	[name: string]: PrecoPrazoEvent;
}
export interface RastreioEvent {
	status: string;
	data: string;
	hora: string;
	origem?: string;
	destino?: string;
	local?: string;
}
export interface RastreioResponse {
	[name: string]: RastreioEvent;
}
declare function consultarCep(cep: string): Promise<void | CepResponse>;
declare function calcularPrecoPrazo(precoPrazo: PrecoPrazoRequest): Promise<void | PrecoPrazoResponse>;
declare function rastrearEncomendas(codes: Array<string>): Promise<void | RastreioResponse>;
declare const Correios: {
	consultarCep: typeof consultarCep;
	calcularPrecoPrazo: typeof calcularPrecoPrazo;
	rastrearEncomendas: typeof rastrearEncomendas;
};
export default Correios;

export {};
